Create Lead

API allows partners to submit customer details and initiate a loan application in Our system. This is the first step in the loan process, enabling MyShubhLife to evaluate the customer's eligibility

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Register a new lead (points to be noted)

  1. Mandatory Fields
    The mandatory fields required to create a Lead will be shared and communicated by the MSL product team.

  2. Lead Validity
    A Lead, when created, will have an independent validity of 30 days.
    The activeness of a Lead is dependent on the activeness of the Application or Loan mapped to it.

  3. Validity Conditions Based on Application and Loan Status

          Status                                         Validity
Lead created, Yet to create Application                   30 days
Application created, Yet to be Approved                   25 days
Application Approved, Yet to be Sanctioned                20 days
After Loan Sacntioned                              Validity depends on Loan activeness
  1. Expiry Conditions
    If a Lead, Application, or Loan expires, all associated information for that Lead will be removed from the system.

Sample payload

{
    "product": "TERM_LOAN::TL_PARTNER_EDI",
    "isTopUp": false,
    "profileData": {
        "name": "Applicant Name",
        "referenceId": "referrenceID",
        "email": "[email protected]",
        "mobile": "9914030037",
        "panNumber": "CRSPM7713C",
        "dob": 668111400000,
        "gender": "male",
        "education": "Gradute, Post Graduate",
        "socialCategory": "GENERAL / OBC / SC / ST",
        "motherName": "Mother Name",
        "workExperienceMonths": 12,
        "address": {
            "house": "Village danwar",
            "street": "Jessore rd",
            "pincode": "201001",
            "locality": "Bihar",
            "landmark": "Durga mandir"
        },
        "workAddress": {
            "house": "109, Street Number 6, Akbarpur,",
            "street": "Ghaziabad, UP, 201009",
            "pincode": "201001",
            "locality": "Central Delhi",
            "landmark": "Near to JC church"
        },
        "employeeId": "Merchant ID",
        "currentEmployer": "Shop Name",
        "resTenure":692476200000,
        "residentType": "Owned / Rented / Leased / Other",
        "incorporationDate":692476200000,
        "businessSector": "Service / Manufacturing",
        "businessTenure":692476200000,
        "businessPropertyType": "Owned / Rented / Leased / Other",
        "employeeCount": 7,
        "workUdyamNumber": "32861764561184yufgyf75",
        "workGSTIN": "23GSTPS4235XJCY",
        "referenceNumber": "9963646586",
        "referenceName": "Name",
        "financeBasicInfo": {
            "netMonthlyIncome": 12000,
            "employmentType": "SELF_EMPLOYED"
        },
        "bankAccounts": [
            {
                "beneficiaryName": "Account Holder Name",
                "ifsc": "SBIN0000001",
                "accountNumber": "123456789",
                "purposeType": "NACH / DISBURSAL"
            }
        ],
        "loanRequest": {
            "amount": 50000,
            "tenure": 6,
            "interestRate": 50,
            "processingFeePct": 5,
            "purpose": "Other"
        }
    },
    "acquisitionPlatformData": {
        "loanSegment": "REGULAR/PARTNER_REPEAT",//Flavour
        "isPremiumEDI":"true", 
        "segmentBand": "R1", //Risk Segment
        "alternateSegmentBand": "R1", //Fallback risk segment
        "isCpvRequired":"true",// Flag CPV
        "pincodeSegment": "YELLOW", //Pincode Category
        "tpv": 12000, // Average Throughput value over a period
        "netFreeIncome": 30000,
        "vintageMonths": 3, // Relationship with the aggregator 
        "activenessCount": 10, // Active days count over a period
        "activenessCountBucket": "15-17", // Active days range 
        "activenessPeriod": 90, // Active days duration
        "isActiveTransactor": true, // Active days threshold met
        "isGoodTransactor": true, // Percentage of merchants contributing to the TPV
    "transactionData": {
               "M1": { "amount": 2677805 },     
               "M2": { "amount": 324415  },
               "M3": { "amount": 2677805 },     
               "M4": { "amount": 324415  },
               "M5": { "amount": 2677805 },     
               "M6": { "amount": 324415  }
               "extIntPltRatio": 0.2,
               "extIntPltRatioReason": "Festival season",
               "smsTpv": 10000,
               "smsTpvMultiplier": 0.5
            }
         }
    },
    "udyamRegistrationFields": {
        "enterpriseName": "Shop Name",
        "socialCategory": "SC",
        "residentialAddressLine": "ChinnaSwamay, Queens Rd",
        "residentialCity": "Bangalore",
        "residentialState": "Karnataka",
        "residentialDistrict": "Bangalore",
        "residentialPincode": "560040",
        "typeOfOrganization": "Proprietory",
        "businessAddressLine": "Nova Miller Rd",
        "businessCity": "Bangalore",
        "businessState": "Karnataka",
        "businessDistrict": "Bangalore",
        "businessPincode": "560040",
        "businessSector": "Service",
        "bsrCode": "56765abc",
        "noOfEmployees": 5
    }
}

Validations & Mapping:

All the data sent in the request should be valid data otherwise the API will respond with errors stating each of the fields' expected value.

SectionFieldValidationMandatory/ Optional
profileDatanameCan’t be blank or null. The length
can’t exceed 250 characters as of now
Optional
emailA valid Email IdMandatory/ Optional
panNumberA valid PanNumberMandatory / Optional
gender"male"
"female"
"transgender"
Mandatory
fatherOrSpouseNameCan’t be blank or null. The length
can’t exceed 250 characters as of now.
Optional
mobileA valid 10 digit mobile numberMandatory
residentType"Rented"
"Leased"
"OwnHouse"
"PG"
"CompanyHouse"
Optional
Addresshouse"^([a-zA-z0-9 . # @ & ( ) / , . : ' < > - , \s]{1,60})$"Mandatory
street"^([a-zA-z0-9 . # @ & ( ) / , . : ' < > - , \s]{3,60})$"Mandatory
pincodeString (Should be a valid 6 digit pincode)Mandatory
locality"^([a-zA-z0-9 . # @ & ( ) / , . : ' < > - , \s]{3,60})$"Mandatory
landmark"^([a-zA-z0-9 . # @ & ( ) / , . : ' < > - , \s]{3,60})$"Mandatory
permAddresshouse"^([a-zA-z0-9 . # @ & ( ) / , . : ' < > - , \s]{1,60})$"Optional
street"^([a-zA-z0-9 . # @ & ( ) / , . : ' < > - , \s]{3,60})$"Optional
pincodeString (Should be a valid 6 digit pincode)Optional
locality"^([a-zA-z0-9 . # @ & ( ) / , . : ' < > - , \s]{3,60})$"Optional
landmark"^([a-zA-z0-9 . # @ & ( ) / , . : ' < > - , \s]{3,60})$"Optional
workAddresshouse"^([a-zA-z0-9 . # @ & ( ) / , . : ' < > - , \s]{1,60})$"Mandatory
street"^([a-zA-z0-9 . # @ & ( ) / , . : ' < > - , \s]{3,60})$"Mandatory
pincodeString (Should be a valid 6 digit pincode)Mandatory
locality"^([a-zA-z0-9 . # @ & ( ) / , . : ' < > - , \s]{3,60})$"Mandatory
landmark"^([a-zA-z0-9 . # @ & ( ) / , . : ' < > - , \s]{3,60})$"Mandatory
resTenureValid current address residence tenure (timestamp in milliseconds)Optional
education"Class 7 or below"
"Class 8 to Class 11"
"Class 12 or Diploma"
"Graduate or Post Graduate"
Optional
currentEmployerName of the companyMandatory
employeeIdValid Employee's ID numberMandatory
workExperienceMonthsUpto 480 months (Int field)Mandatory
loanRequestamountRequired loan amount (int field) (less than 4,00,000)Mandatory
tenureRequired tenure in months (int field)Mandatory
purpose"Rental Deposit"
"Medical"
"Electronics"
"Marriage"
"Repay old loan"
"Education"
"Vehicle Purchase"
"New Business"
"Other"
Mandatory
financeBasicInfonetMonthlyIncome> = 12000Mandatory
employmentType"SELF_EMPLOYED"Mandatory
referencesreferenceRelation"FAMILY"
"FRIEND"
Optional
referenceName^[A-Za-z\s. ]{1,}$'Mandatory
referenceMobileA valid 10 digit mobile number.Mandatory
referenceEmailA valid Email Id.Optional
bankAccountsaccountNumberValid bank account numberMandatory
ifsc^[A-Z]{4}0[A-Z0-9]{6}$'Mandatory
purposeType"NACH"
"DISBURSAL"
Optional
acquisitionPlatformData loanSegment"REGULAR" / "TOPUP"/ "REPEAT"Mandatory
segmentBand"R1" /"R2" / "R3"Mandatory
pincodeSegment"YELLOW" / ""GREEN" / "RED"Mandatory
tpvIntMandatory
netFreeIncomeintMandatory / Optional
vintageMonthsIntMandatory
activenessCountIntMandatory
activenessCountBucket"string"Optional
activenessPeriodIntMandatory
isGoodTransactorTrue / FalseOptional
isActiveTransactorTrue / FalseMandatory
last_3_months_total_no_of_active_daysIntOptional
transactionData
ProfileDatabusinessSize"MICRO"
"SMALL"
"MEDIUM"
Mandatory
businessSector"SERVICE"
"MANUFACTURING"
Mandatory
industry"HEALTHCARE AND WELLNESS"
"FOOD AND BEVERAGES"
"AGRICULTURE"
"SERVICE AND UTILITIES"
"TRAVEL"
"COMMUTE"
"RETAIL AND SHOPPING"
"FINANCIAL SERVICES"
"CURRENCY, COINS AND PRECIOUS METALS"
"GROCERY AND DAILY NEEDS"
"FUEL"
"ENTERTAINMENT"
"ART AND ANTIQUES"
"HOSPITALITY"
"OTHERS"
Mandatory
udyamRegistrationFieldsenterpriseName"String"Mandatory
socialCategory"String"Mandatory
residentialAddressLine"Float"Mandatory
residentialCity"String"Optional
residentialState"String"Optional
residentialDistrict"String"Optional
residentialPincodeIntMandatory
typeOfOrganization"String"Mandatory
businessAddressLine"Float"Mandatory
businessCity"String"Mandatory
businessState"String"Mandatory
businessDistrict"String"Mandatory
businessPincodeIntMandatory
businessSector"String"Mandatory
bsrCodeIntMandatory
noOfEmployeesIntMandatory
AadhaarNumberIntMandatory
Body Params
string

Can’t be blank or null. The length can’t exceed 250 characters as of now

string
Defaults to (Mandatory/ Optional)

A valid Email Id

string
Defaults to (Mandatory/ Optional)

A valid PanNumber

string
required
string

Can’t be blank or null. The length can’t exceed 250 characters as of now.

int32
required

A valid 10 digit mobile number

string
string
required
Defaults to Address

"^([a-zA-z0-9 . # @ & ( ) / , . : ' < > - , \s]{1,60})$"

string
required
Defaults to Address

"^([a-zA-z0-9 . # @ & ( ) / , . : ' < > - , \s]{1,60})$"

string
required
Defaults to Address

String (Should be a valid 6 digit pincode)

string
required
Defaults to Address

"^([a-zA-z0-9 . # @ & ( ) / , . : ' < > - , \s]{3,60})$"

string
required
Defaults to Address

"^([a-zA-z0-9 . # @ & ( ) / , . : ' < > - , \s]{3,60})$"

string

Valid current address residence tenure (timestamp in milliseconds)

string
string
required

Name of the company

string
required

Valid Employee's ID number

string
required

Upto 480 months (Int field)

int32
required
Defaults to null

Required loan amount (int field) (less than 4,00,000)

int32
required

Required tenure in months (int field)

string
required
int32
required
Defaults to null

= 12000

string
required

"SELF_EMPLOYED"

string
string
required

^[A-Za-z\s. ]{1,}$'

string
required

A valid 10 digit mobile number

string

A valid Email Id

string
required

Valid bank account number

string
required

^[A-Z]{4}0[A-Z0-9]{6}$'

string
string
required

A valid JSON object with a set of a specific field agreed with MSL

string
required
string
required
string
required
string
required
string
required
string
required
string
string
string
int32
required
string
required
string
string
required
string
required
string
required
string
required
int32
required
int32
required
int32
required
int32
required
Headers
string

Bearer {auth_token}

string

application/json

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json